Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSModifyElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSModifyElement

All Implemented Interfaces:
  AssociationElementParent, CommandElement, XDSElement

public class XDSModifyElement
extends ElementImpl
implements CommandElement, AssociationElementParent

A `<modify>` element.

See Also:
  `XDSCommandDocument.appendModifyElement()`, `XDSCommandDocument.childElements()`

Method Summary
`XDSAssociationElement` | `appendAssociationElement(String someText)` Appends a child `<association>` element to this element.
`XDSModifyAttrElement` | `appendModifyAttrElement()` Appends an empty, child `<modify-attr>` element to this element.
`List` | `childElements()` Returns this element's child elements.
`XDSAssociationElement` | `extractAssociationElement()` Returns this element's child `<association>` element.
`String` | `extractAssociationText()` Returns the concatenated child text nodes from this element's child `<association>` element.
`List` | `extractModifyAttrElements()` Returns this element's child `modify-attr` elements.
`String` | `getClassName()` Gets the value of this element's `class-name` attribute.
`String` | `getDestDN()` Gets the value of this element's `dest-dn` attribute.
`String` | `getEventID()` Gets the value of this element's `event-id` attribute.
`String` | `getQualifiedSrcDN()` Gets the value of this element's `qualified-src-dn` attribute.
`String` | `getSrcDN()` Gets the value of this element's `src-dn` attribute.
`String` | `getSrcEntryID()` Gets the value of this element's `src-entry-id` attribute.
`void` | `setClassName(String someName)` Sets this element's `class-name` attribute to `someName`.
`void` | `setDestDN(String someDN)` Sets this element's `dest-dn` attribute to `someDN`.
`void` | `setDestEntryID(String someID)` Sets this element's `dest-entry-id` attribute to `someID`.
`void` | `setEventID(String someID)` Sets this element's `event-id` attribute to `someID`.
`void` | `setSrcDN(String someDN)` Sets this element's `src-dn` attribute to `someDN`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getSrcDN

    public String getSrcDN()

  Gets the value of this element's `src-dn` attribute.

  Invocation Context:
    READ

  Specified by:
    `getSrcDN` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### getQualifiedSrcDN

    public String getQualifiedSrcDN()

  Gets the value of this element's `qualified-src-dn` attribute.

  Invocation Context:
    READ

  Specified by:
    `getQualifiedSrcDN` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`
  Since:
    DTD 2.0

### getDestDN

    public String getDestDN()

  Gets the value of this element's `dest-dn` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### getSrcEntryID

    public String getSrcEntryID()

  Gets the value of this element's `src-entry-id` attribute.

  Invocation Context:
    READ

  Specified by:
    `getSrcEntryID` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### getClassName

    public String getClassName()

  Gets the value of this element's `class-name` attribute.

  Invocation Context:
    READ

  Specified by:
    `getClassName` in interface `CommandElement`
  Returns:
    will not return `null`; will not return `""`

### getEventID

    public String getEventID()

  Description copied from interface: `CommandElement`
  Gets the value of this element's `event-id` attribute.

  Invocation Context:
    READ

  Specified by:
    `getEventID` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### extractAssociationElement

    public XDSAssociationElement extractAssociationElement()

  Description copied from interface: `AssociationElementParent`
  Returns this element's child `<association>` element.

  Invocation Context:
    READ

  Specified by:
    `extractAssociationElement` in interface `AssociationElementParent`
  Returns:
    may return `null`

### extractAssociationText

    public String extractAssociationText()

  Description copied from interface: `AssociationElementParent`
  Returns the concatenated child text nodes from this element's child `<association>` element.

  Invocation Context:
    READ

  Specified by:
    `extractAssociationText` in interface `AssociationElementParent`
  Returns:
    may return `null`; will not return `""`

### childElements

    public List childElements()

  Returns this element's child elements.

  Usage Notes:
    The types of objects returned by this method may be extended in the future. Thus, callers should be able to handle object types other than those listed in the returns field below.
  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `XDSElement`
  Overrides:
    `childElements` in class `ElementImpl`
  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSModifyAttrElement` and `NonXDSElement` objects; will not return `null`

### extractModifyAttrElements

    public List extractModifyAttrElements()

  Returns this element's child `modify-attr` elements.

  Invocation Context:
    READ

  Returns:
    `java.util.Collections.EMPTY_LIST` or a list of `XDSModifyAttrElement` objects; will not return `null`

### setSrcDN

    public void setSrcDN(String someDN)

  Sets this element's `src-dn` attribute to `someDN`.

  Invocation Context:
    WRITE

  Parameters:
    `someDN` - if `null` or `""`, no action is taken

### setDestDN

    public void setDestDN(String someDN)

  Sets this element's `dest-dn` attribute to `someDN`.

  Invocation Context:
    WRITE

  Parameters:
    `someDN` - if `null` or `""`, no action is taken

### setDestEntryID

    public void setDestEntryID(String someID)

  Sets this element's `dest-entry-id` attribute to `someID`.

  Invocation Context:
    WRITE

  Parameters:
    `someID` - if `null` or `""`, no action is taken

### appendModifyAttrElement

    public XDSModifyAttrElement appendModifyAttrElement()

  Appends an empty, child `<modify-attr>` element to this element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

### setClassName

    public void setClassName(String someName)

  Sets this element's `class-name` attribute to `someName`.

  Invocation Context:
    WRITE

  Parameters:
    `someName` - if `null` or `""`, no action is taken

### setEventID

    public void setEventID(String someID)

  Description copied from interface: `CommandElement`
  Sets this element's `event-id` attribute to `someID`.

  Invocation Context:
    WRITE

  Specified by:
    `setEventID` in interface `CommandElement`
  Parameters:
    `someID` - if `null` or `""`, no action is taken

### appendAssociationElement

    public XDSAssociationElement appendAssociationElement(String someText)

  Description copied from interface: `AssociationElementParent`
  Appends a child `<association>` element to this element. The `<association>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Specified by:
    `appendAssociationElement` in interface `AssociationElementParent`
  Parameters:
    `someText` - the association value; if `null` or `""`, an empty, child `<association>` element is appended
  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD